/***********************************************************
*                       pC/TFS 2.38b                       *
*                 a FREE - Tiny File System                *
*                    by  Frank Goetze                      *
************************************************************
*                TFS_Port_AT91SAM7SExxx.h                  *
*                 NOR-FLASH DECLARATIONS                   *
***********************************************************/
#ifndef _TFSPort_AT91SAM7SExxx_
 #define _TFSPort_AT91SAM7SExxx_

 #include "../pC_TFS.h"

/*
***********************************************************
*                     TFS-MEMORY AREA
***********************************************************
*/
#define TFS_START    0x0140000    // for AT91SAM7SExxx Data-NORFlash Bank-1
#define TFS_SIZE     0x0040000    // size of TFS (256kB)

/*
***********************************************************
*                     TFS-PORT PROTOTYPES
***********************************************************
*/
U08 TFSPort_Init(void);
U08 TFSPort_Write(U08 OS_HUGE *dest, OS_CONST U08 OS_HUGE *source, TFS_LONG length);
U08 TFSPort_Fill(U08 OS_HUGE *dest, U08 value, TFS_LONG length);

#endif
